The newest version of WordPress, v. 2.6, has now been officially released.

I looked at the video tour and the upgrades and additions look pretty good. Hopefully the changes made to image uploading will make like easier. I love that a caption can now be easily made. I was contemplating installing a caption plugin.

I think it’s neat that you can look back at older versions of your post and possibly restore them. I’m not sure how often I’d be able to use those, but it’s a nice option to have.

I also love the new “Press This!” feature that’s a bookmarklet, that allows you to copy text, photos, quotes, and video from external websites. It’ll reside on your toolbar. I can definitely see myself using that, except I wonder how that would work with multiple WordPress installations. I’ll have to test it out!

The Theme preview is cool, like several of plugins already available. What I’d like to see, which probably isn’t possible, is to preview a new theme — with your edits — before you allow your blog visitors to see it. Right now, I install themes, and tinker with them, on a non-public WordPress installation. When I’m satisfied with the alterations I’ve made, I copy the entire theme to the active blog and activate it. It would be neat to not have to do that, although it’s not really a necessity.

I’m 100% certain I won’t be using Gears. Actually, no I’m not. My laptop, Rafa, is painfully slow. So I may be making use of that “Turbo” feature when I’m away on business. I know, I know. I ought to just add some RAM and I do plan on doing that as well.

Right now, I’m only using 2.5.1 on 2 of my blogs and I run a LOT of them with WordPress. The main reason I refuse to upgrade the rest of them — which are still running 2.3.3 — is the widget section. I hate what 2.5+ did to them. They are hard to use and actually I can’t get them to work properly. I rely heavily on widgets on my other sites. Heavily. So, until WordPress comes back to their senses and fixes the annoyance that is their current widget section, the bulk of my installations will continue to run on 2.3.3.

I also haven’t updated because a small number of my holy grail plugins aren’t compatible with the new releases. I refuse to give them up, herego, I favor the status quo.